﻿#pragma strict

//declare variables.
var topDown:Camera; 
var moonFace:Camera; 
var currentCamera:Camera;
var selectedTopDown:boolean; //is the top down camera selected?
 
//run once, when script is first initiated.
function Start() {
	//point variables at each camera (depends on tags being added in the inspector window).
	topDown = GameObject.FindWithTag("camera1").camera;
	moonFace = GameObject.FindWithTag("camera2").camera;
	selectedTopDown = true; //sets topDown to false, because initial view is moon face.
	currentCamera = moonFace; //sets current Camera to moonFace.
}
 
//run constantly, GUI is looking for interactions.
function OnGUI() {
	//set up a "moon face" button, when clicked swap cameras to the moon face view.
	if(GUI.Button(new Rect(Screen.width - 120, 20, 100, 30), "Moon Face")) {
		if (selectedTopDown == true) {
			SelectCamera(moonFace);
			selectedTopDown = false;
		}
	}  
	
	//set up a "top down" button, when clicked swap cameras to the top down view. 
	
	//set up a "pause" button, when clicked pause the animation(s).
	
	//set up a "play" button, when clicked play the animation(s).
	
}
  
//Changes camera to the one passed to the function.  
function SelectCamera(myCamera:Camera) {	
	//disable the current camera.	
	currentCamera.enabled = false;
	//set the camera passed to the function as enabled. 
	myCamera.enabled = true;
	//update the current camera with the camera passed to the function (so it can be disabled later if needed).  
	currentCamera = myCamera;
}